// Copyright (C) 2015 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.google.gerrit.testutil;

import com.google.common.base.CharMatcher;
import com.google.gwtorm.client.KeyUtil;
import com.google.gwtorm.server.StandardKeyEncoder;
import org.junit.Ignore;
import org.junit.Rule;
import org.junit.rules.ExpectedException;
import org.junit.rules.TestName;

@Ignore
public abstract class GerritBaseTests {
  static {
    KeyUtil.setEncoderImpl(new StandardKeyEncoder());
  }

  @Rule public ExpectedException exception = ExpectedException.none();
  @Rule public final TestName testName = new TestName();

  protected String getSanitizedMethodName() {
    String name = testName.getMethodName().toLowerCase();
    name = CharMatcher.javaLetterOrDigit().negate().replaceFrom(name, '_');
    name = CharMatcher.is('_').trimTrailingFrom(name);
    return name;
  }
}
